Bug 173635 - [maintainer] mail/opendkim update to 2.7.2
Summary: [maintainer] mail/opendkim update to 2.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-15 01:30 UTC by Hirohisa Yamaguchi
Modified: 2012-12-13 21:41 UTC (History)
0 users

See Also:


Attachments
file.diff (5.64 KB, patch)
2012-11-15 01:30 UTC, Hirohisa Yamaguchi
no flags Details | Diff
opendkim.diff (5.07 KB, patch)
2012-11-15 22:05 UTC, Guido Falsi
no flags Details | Diff
opendkim.diff (6.25 KB, patch)
2012-12-10 22:02 UTC, Guido Falsi
no flags Details | Diff
mail_opendkim-173635.patch (6.54 KB, patch)
2012-12-13 03:27 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2012-11-15 01:30:00 UTC
	The new version of mail/opendkim 2.7.2 is available.

	Release announcement: http://lists.opendkim.org/archive/opendkim/announce/2012/11/0038.html

Fix: The patch follows:
	 + drop patches fixed in upstream
	 + some aesthetic changes with OPTIONS
How-To-Repeat: 	N/A
Comment 1 Guido Falsi freebsd_committer 2012-11-15 08:05:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2012-11-15 22:05:38 UTC
Hi,

There is a problem with you patch, why did you add the check ".if 
${PORT_OPTIONS:MFFR}"?

There are two problems with it. First it is not needed. MULTI containers 
are handled by the ports options system. If the FFR multi is not 
selected the port options system guarantees none of the contained 
options are defined. If you observe the system behaving differently it 
is a bug and should be reported.

Second problem is that by simply putting the whole Makefile.features in 
that conditional you end up with a lot of defines missing from 
PLIST_SUB, causing packaging to fail. You can observe this in tinderbox 
or by running make package.

I'm attaching a fixed patch. I will wait for your feedback.

Thanks you.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2012-11-15 22:12:01 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 Hirohisa Yamaguchi 2012-11-17 15:43:11 UTC
Hi,

On 11/16/2012, at 7:05, Guido Falsi wrote:
> There is a problem with you patch, why did you add the check ".if =
${PORT_OPTIONS:MFFR}"?
>=20
> There are two problems with it. First it is not needed. MULTI =
containers are handled by the ports options system. If the FFR multi is =
not selected the port options system guarantees none of the contained =
options are defined. If you observe the system behaving differently it =
is a bug and should be reported.

In my env, when FFR is off and any one of FFR_MULTI is on,
the dialog shows all in FFR_MULTI is off but CONFIGURE_ARGS has
the options.

If it happens only in my env, your patch should be okay.


> Second problem is that by simply putting the whole Makefile.features =
in that conditional you end up with a lot of defines missing from =
PLIST_SUB, causing packaging to fail. You can observe this in tinderbox =
or by running make package.

I haven't beet accessible redports.org recently, so I didn't check =
tinderbox output.

> I'm attaching a fixed patch. I will wait for your feedback.

Regards,
--=20

	Hirohisa Yamaguchi
	  <umq.461@gmail.com>=
Comment 5 Guido Falsi freebsd_committer 2012-11-18 16:40:39 UTC
On 11/17/12 16:43, Yamaguchi Hirohisa wrote:
> Hi,
>
> On 11/16/2012, at 7:05, Guido Falsi wrote:
>> There is a problem with you patch, why did you add the check ".if ${PORT_OPTIONS:MFFR}"?
>>
>> There are two problems with it. First it is not needed. MULTI containers are handled by the ports options system. If the FFR multi is not selected the port options system guarantees none of the contained options are defined. If you observe the system behaving differently it is a bug and should be reported.
>
> In my env, when FFR is off and any one of FFR_MULTI is on,
> the dialog shows all in FFR_MULTI is off but CONFIGURE_ARGS has
> the options.
>
> If it happens only in my env, your patch should be okay.

I now see the problem. I will have to dig further on this to make sure 
how to best deal with it.

I hope it will not take too long.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 6 Guido Falsi freebsd_committer 2012-12-10 22:02:29 UTC
Hi,

Sorry for the long delay.

I made a new patch, taking advantage of the new options framework 
feature "OPTIONS_GROUP".

I also fixed the check around FFR.

Here is a patch for you to test and, if you see fit, approve.

Thanks.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 7 Hirohisa Yamaguchi 2012-12-13 03:27:29 UTC
Hi,
thanks for your coordination.
OPTIONS_GROUP seems to work pretty good.

btw, the new version 2.7.3 is now available
 # announcement: http://lists.opendkim.org/archive/opendkim/announce/2012/11/0039.html
So I've updated your patch.

Regards,
-- 

	Hirohisa Yamaguchi
	  <umq@ueo.co.jp>
Comment 8 Guido Falsi freebsd_committer 2012-12-13 21:40:59 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!